Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl.xs
Class SchemaNamespaceSupport

    java.lang.Object
      |
      +--weblogic.apache.xerces.util.NamespaceSupport
            |
            +--weblogic.apache.xerces.impl.xs.SchemaNamespaceSupport

public class SchemaNamespaceSupport
extends NamespaceSupport

This class customizes the behaviour of the util.NamespaceSupport class in order to easily implement some features that we need for efficient schema handling. It will not be generally useful.

Fields inherited from class weblogic.apache.xerces.util.NamespaceSupport
`fContext, fCurrentContext, fNamespace, fNamespaceSize`

Constructor Summary
`SchemaNamespaceSupport()`
`SchemaNamespaceSupport(SchemaNamespaceSupport nSupport)`

Method Summary
`java.lang.String[]` | `getEffectiveLocalContext()` This method returns an array of Strings, as would be stored in a NamespaceSupport object.
`void` | `makeGlobal()`
`void` | `setEffectiveContext(java.lang.String[] namespaceDecls)` This method takes a set of Strings, as stored in a NamespaceSupport object, and "fools" the object into thinking that this is one unified context.

Methods inherited from class weblogic.apache.xerces.util.NamespaceSupport
`declarePrefix, getDeclaredPrefixAt, getDeclaredPrefixCount, getParentContext, getPrefix, getURI, popContext, pushContext, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaNamespaceSupport

    public SchemaNamespaceSupport()

### SchemaNamespaceSupport

    public SchemaNamespaceSupport(SchemaNamespaceSupport nSupport)

Method Detail

### setEffectiveContext

    public void setEffectiveContext(java.lang.String[] namespaceDecls)

  This method takes a set of Strings, as stored in a NamespaceSupport object, and "fools" the object into thinking that this is one unified context. This is meant to be used in conjunction with things like local elements, whose declarations may be deeply nested but which for all practical purposes may be regarded as being one level below the global element--at least with regard to namespace declarations. It's worth noting that the context from which the strings are being imported had better be using the same SymbolTable.

### getEffectiveLocalContext

    public java.lang.String[] getEffectiveLocalContext()

  This method returns an array of Strings, as would be stored in a NamespaceSupport object. This array contains all declarations except those at the global level.

### makeGlobal

    public void makeGlobal()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD